# Dapr documentation

Welcome to the Dapr documentation repository. You can learn more about Dapr from the links below.

- **[Overview](./overview.md)** - An overview of Dapr and how it enables you to build distributed applications
- **[Getting Started](./getting-started)** - Set up your environment
- **[Quickstarts and samples](./quickstart)** - Quickstart guides and samples for developing applications
- **[Concepts](./concepts)** - Dapr concepts explained
- **[How-Tos](./howto)** - Guides explaining how to accomplish specific tasks
- **[Best practices](./howto)** - Guides explaining best practices  using Dapr including [debugging and troublingshooting](https://github.com/dapr/docs/tree/master/best-practices/troubleshooting)
- **[Reference](./reference)** - Detailed reference documentation

 ### SDKs

 - **[Go SDK](https://github.com/dapr/go-sdk)** - Get started with the Dapr proto client for Go
 - **[Java SDK](https://github.com/dapr/java-sdk)** - Get started with the Dapr proto client for Java
 - **[Javascript SDK](https://github.com/dapr/js-sdk)** - Get started with the Dapr proto client for Javascript
 - **[Python SDK](https://github.com/dapr/python-sdk)** - Get started with the Dapr proto client for Python
 - **[.NET SDK](https://github.com/dapr/dotnet-sdk)** - Get started with the Dapr proto client for .NET Core
    - **[Getting Started with .NET Actors](https://github.com/dapr/dotnet-sdk/blob/master/docs/get-started-dapr-actor.md)** - Tutorial for developing actor applications using the Dapr .NET SDK including  **[actor samples](https://github.com/dapr/dotnet-sdk/tree/master/samples/Actor)**
     - **[Getting Started with ASP.NET Core](https://github.com/dapr/dotnet-sdk/tree/master/samples/AspNetCore)** - Samples for developing ASP.NET applications using the Dapr .NET SDK
 
> Note: Dapr is language agnostic and provides a [RESTful HTTP API](./reference/api/Readme.md) in addition to the protobuf clients.

